import { Component, OnInit } from '@angular/core';
import { DetailsComponentBase } from '@objects-view/details-component-base';
import { IVolumeModel } from '@fleio-api/openstack/model/volume.model';
import { ConfigService } from '@shared/config/config.service';

@Component({
  selector: 'app-volume-details-overview',
  templateUrl: './volume-details-overview.component.html',
  styleUrls: ['./volume-details-overview.component.scss']
})
export class VolumeDetailsOverviewComponent extends DetailsComponentBase<IVolumeModel> implements OnInit {
  showAvailabilityZone: boolean;

  constructor(
    public config: ConfigService,
  ) {
    super();
  }

  ngOnInit() {
    super.ngOnInit();
    this.showAvailabilityZone = this.authSvc.feature('openstack.volumes.availability_zones');
  }
}
